Skip to content

Customization

Endpoints related to parcel customizations

Customization

Request

Add customized delivery (neighbor delivery, deposit permission, consignee note etc.) for parcel by tenant id and parcel identifier

Security
bearerToken
Path
parcelIdentifierstringrequired

Parcel number or tracking id

Example:10362781851
Bodyapplication/jsonrequired

Actual customized delivery for parcel

typestringrequired
Value:"DEPOSIT_PERMISSION"
Discriminator
createdAtstring, (date-time)required
Example:"2022-01-15T14:33:25Z"
descriptionstringrequired
Example:"Hinter der Tonne"
locationstringrequired
Example:"Carport"
curl -i -X PUT \
  https://tracking.bettermile.com/api/v2/external/parcel/10362781851/customization \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "type": "DEPOSIT_PERMISSION",
    "createdAt": "2022-01-15T14:33:25Z",
    "location": "Carport",
    "description": "Hinter der Tonne"
  }'

Responses

Parcel response

Bodyapplication/json
parcelNumberstringrequired
Example:"10362781851"
trackingIdstringrequired
Example:"YUTKBBTN"
statusany(ParcelStatus)required
jobTypestring(JobType)required
Enum:"DELIVERY""PICKUP""COLLECTION""UNKNOWN"
supportedCustomizedDeliveryTypesArray of strings(CustomizedDeliveryType)required
Items Enum:"DEPOSIT_PERMISSION""DELIVER_TO_NEIGHBOR""DELIVER_TO_PARCELSHOP""HINT"
shipperIdstring(ShipperId)
Example:"bmw"
customizedDeliveryany(CustomizedDelivery)
fromAddressobject(AddressName)
toAddressobject(Address)
Response
{ "trackingId": "YUTKBBTN", "parcelNumber": "10362781851", "status": { "type": "DELIVERED", "detail": "NORMAL", "deliveredAt": "2022-01-15T14:33:25Z", "address": { … }, "name": null }, "shipperId": "bmw", "jobType": "DELIVERY", "supportedCustomizedDeliveryTypes": [ "DEPOSIT_PERMISSION" ], "customizedDelivery": { "type": "DEPOSIT_PERMISSION", "createdAt": "2022-01-15T14:33:25Z", "location": "Carport", "description": "Hinter der Tonne" }, "fromAddress": { "name": "Max Mustermann" }, "toAddress": { "name": "Max Mustermann", "street": "GLS Germany-Straße", "number": "1-7", "postcode": 36286, "city": "Neuenstein", "country": "DE", "coordinates": { … } } }